-- file initialization

local f = ""
local function df(file)
	dofile(f.."/"..file)
end


f = "Core"
	df("Core.LUA")
	df("Globalize.LUA")
	df("Util.LUA")
	df("Damage.LUA")
	df("Status_Conditions.LUA")
	df("HudLib.LUA")

f = "Core/3rd_party"

		df("Json.LUA")
		df("Bmp.LUA")
		df("RNG.LUA")


f = "Items"
	df("Item_Defs.LUA")
	df("Items_consumables.LUA")
	df("Items_Swords.LUA")
	df("Items_DoubleSaber.LUA")
	df("Items_Shotguns.LUA")
	df("Items_Rifles.LUA")
	df("Items_Rods.LUA")
	df("Items_Sabers.LUA")
	df("Items_Handguns.LUA")
	df("Items_Wands.LUA")
	df("Items_Armours.LUA")
	df("Items_Units.LUA")

f = "Player/Menu"
	df("Player_Menu.LUA")
	df("NotificationHUD.LUA")
	df("ChatHUD.LUA")
	df("Menu_Inventory.LUA")
	df("Menu_Main.LUA")
	df("Menu_Settings.LUA")
	df("Menu_Social.LUA")
	df("Menu_Map.LUA")
	df("Menu_Status.LUA")
	df("Menu_Mission.LUA")
	df("Menu_Heal.LUA")
	df("Menu_Turnin.LUA")
	df("Menu_Dead.LUA")
	df("Menu_BossTP.LUA")
	df("Menu_Storage.LUA")
	df("Menu_Shop.LUA")
	df("Menu_Type.LUA")
	df("Menu_Quest.LUA")
	df("Menu_FirstTypeSelect.LUA")
	
f = "Player"
	df("Player_Base.LUA")	

f = "Player/Defs"
		df("Input.LUA")
		df("Player_Shop.LUA")
		df("Type_Skills.LUA")
		df("IO.LUA")
		df("Player_Defs.LUA")

f = "Player/Defs/PhotonArts"
			df("Techniques.LUA")
			df("PA_Sword.LUA")
			df("PA_DoubleSaber.LUA")
			df("PA_Rifle.LUA")
			df("PA_Shotgun.LUA")
			df("PA_Rod.LUA")
			df("PA_Saber.LUA")
			df("PA_Handgun.LUA")
			df("PA_MakeItems.LUA")

		
f = "Player/HUD"
	df("EmergencyHUD.LUA")
	df("RareDropHUD.LUA")
	df("ActionHUD.LUA")
	df("PaletteHUD.LUA")
	df("Minimap.LUA")
	df("DeathHUD.LUA")
	df("PartyHUD.LUA")
	df("QuestCompleteHUD.LUA")
	df("MenuHUD.LUA")

f = "Field"
	df("Drops.LUA")
	df("Rooms.LUA")
	df("Doors.LUA")
	df("Crates.LUA")
	df("Spawn_Teleport.LUA")
	df("Player_Teleport.LUA")
	df("Jumppad.LUA")
	
f = "Field/Lobby"
		df("LobbyShutters.LUA")
		df("LobbyWindows.LUA")
		df("LobbyNPC.LUA")

f = "Field/Map Scripts"
	df("Depths_Elevator.LUA")
	df("Canyon_Sandstorm.LUA")
	df("Peaks_Snowstorm.LUA")
	

	
f = "Enemy"
	df("Enemy_Defs.LUA")
	df("BlueCrawla.LUA")
	df("RedCrawla.LUA")
	df("PopUpTurret.LUA")
	df("GoldBuzz.LUA")
	df("SDURF.LUA")
	df("CrawlaCommander.LUA")
	df("SnapperBoss.LUA")
	df("RoboHood.LUA")
	df("Minus.LUA")
	df("BASH.LUA")
	df("ViperBoss.LUA")
	df("Penguinator.LUA")
	df("Unidus.LUA")
	df("Icestabber.LUA")
	df("BlackFlow.LUA")
	df("DarkFalz.LUA")
	

f = "Quest"
	df("Quest_Defs.LUA")
	df("Coast/Coast_Q1.LUA")
	df("Canyon/Canyon_Q1.LUA")
	df("Peaks/Peaks_Q1.LUA")
	df("Depths/Depths_Q1.LUA")
	df("VR/VR_Q1.LUA")
	

f = "Networking"
	df("PartyLeader.LUA")
	df("LoadSymbolArts.LUA")
	df("Auth.LUA")
	
f = "Title"
	df("TitleScreen.LUA")
	
	
	

